micro_utils.dokka
0.15.1

# StartPlugin

@Serializable(with = StartPluginSerializer::class)
interface StartPlugin

Default plugin for start of your app

## Functions

setupDI
Link copied to clipboard
open fun <Error class: unknown class>.setupDI(config: JsonObject)

This method will be called first to configure Module related to this plugin. You may use org.koin.core.scope.Scope.get in your koin definitions like Module.single to retrieve kotlinx.coroutines.CoroutineScope, kotlinx.serialization.json.Json or dev.inmo.micro_utils.startup.launcher.Config

startPlugin
Link copied to clipboard
open suspend fun startPlugin(koin: <Error class: unknown class>)

This method will be called after all other StartPlugin will setupDI

## Inheritors

HelloWorldPlugin
Link copied to clipboard
StartLauncherPlugin
Link copied to clipboard